
From: Andrew Morton <akpm@osdl.org>

__cpuinit and friends weren't defined if CONFIG_HOTPLUG=n

Cc: Ashok Raj <ashok.raj@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/init.h |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

diff -puN include/linux/init.h~x86_64-change-init-sections-for-cpu-hotplug-support-fix include/linux/init.h
--- 25/include/linux/init.h~x86_64-change-init-sections-for-cpu-hotplug-support-fix	2005-06-07 02:21:22.000000000 -0700
+++ 25-akpm/include/linux/init.h	2005-06-07 02:21:22.000000000 -0700
@@ -222,6 +222,12 @@ void __init parse_early_param(void);
 #define __devinitdata
 #define __devexit
 #define __devexitdata
+#else
+#define __devinit __init
+#define __devinitdata __initdata
+#define __devexit __exit
+#define __devexitdata __exitdata
+#endif
 
 #ifdef CONFIG_HOTPLUG_CPU
 #define __cpuinit
@@ -235,13 +241,6 @@ void __init parse_early_param(void);
 #define __cpuexitdata	__exitdata
 #endif
 
-#else
-#define __devinit __init
-#define __devinitdata __initdata
-#define __devexit __exit
-#define __devexitdata __exitdata
-#endif
-
 /* Functions marked as __devexit may be discarded at kernel link time, depending
    on config options.  Newer versions of binutils detect references from
    retained sections to discarded sections and flag an error.  Pointers to
_
